ASAN builds use libGCC 4.8

RESOLVED DUPLICATE of bug 1346442

Status

Release Engineering
Platform Support
RESOLVED DUPLICATE of bug 1346442
9 months ago
9 months ago

People

(Reporter: jgilbert, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 months ago
Firefox requires GCC 5.0+ now, but ASAN builds appear to use GCC 4.9 and Clang+libGCC4.8.

Can we update our versions?

In particular, GCC <4.9 doesn't support the <regex> STL prims.
(Reporter)

Updated

9 months ago
Flags: needinfo?(n.nethercote)
(Reporter)

Updated

9 months ago
Blocks: 1346442
Component: Build Config → Platform Support
Product: Core → Release Engineering
QA Contact: coop
Duplicating in that direction because the other bug has more actionable information.
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Flags: needinfo?(n.nethercote)
Resolution: --- → DUPLICATE
Duplicate of bug: 1346442
(fwiw it's not libgcc that matters, but libstdc++)
You need to log in before you can comment on or make changes to this bug.